## AgsSetSamplerate

AgsSetSamplerate — modify samplerate

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetSamplerate * | ags_set_samplerate_new ()

## Properties

guint | samplerate | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetSamplerate

## Includes

    #include <ags/audio/task/ags_set_samplerate.h>

## Description

The AgsSetSamplerate task modifies samplerate of scope.

## Functions

### ags_set_samplerate_new ()

    AgsSetSamplerate *
    ags_set_samplerate_new (GObject *scope,
                            guint samplerate);

Create a new instance of AgsSetSamplerate.

#### Parameters

scope | the AgsSoundcard to reset |
samplerate | the new samplerate |

#### Returns

the new AgsSetSamplerate

Since: 3.0.0

## Property Details

### The `“samplerate”` property

      “samplerate”               guint

The samplerate to apply to scope.

Owner: AgsSetSamplerate

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsSetSamplerate

Flags: Read / Write

Since: 3.0.0